# Models

## The common.PubRequestResponseDoc-bool object

```json
{"openapi":"3.1.1","info":{"title":"Public API","version":"1.0"},"components":{"schemas":{"common.PubRequestResponseDoc-bool":{"properties":{"data":{"description":"If success data is populated otherwise it's empty","type":"boolean"},"httpStatus":{"type":"integer"},"message":{"type":"string"}},"type":"object"}}}}
```

## The common.PubRequestResponseDoc-publictypes\_Company object

```json
{"openapi":"3.1.1","info":{"title":"Public API","version":"1.0"},"components":{"schemas":{"common.PubRequestResponseDoc-publictypes_Company":{"properties":{"data":{"allOf":[{"$ref":"#/components/schemas/publictypes.Company"}],"description":"If success data is populated otherwise it's empty"},"httpStatus":{"type":"integer"},"message":{"type":"string"}},"type":"object"},"publictypes.Company":{"properties":{"createdAt":{"type":"string"},"domain":{"type":"string"},"id":{"type":"string"},"syncToCrm":{"type":"boolean"},"variables":{"additionalProperties":{},"type":"object"}},"type":"object"}}}}
```

## The common.PubRequestResponseDoc-publictypes\_Contact object

```json
{"openapi":"3.1.1","info":{"title":"Public API","version":"1.0"},"components":{"schemas":{"common.PubRequestResponseDoc-publictypes_Contact":{"properties":{"data":{"allOf":[{"$ref":"#/components/schemas/publictypes.Contact"}],"description":"If success data is populated otherwise it's empty"},"httpStatus":{"type":"integer"},"message":{"type":"string"}},"type":"object"},"publictypes.Contact":{"properties":{"companyId":{"type":"string"},"createdAt":{"type":"string"},"email":{"type":"string"},"id":{"type":"string"},"subscriptionStatus":{"type":"string"},"syncToCrm":{"type":"boolean"},"variables":{"additionalProperties":{},"type":"object"}},"type":"object"}}}}
```

## The publictypes.Activity object

```json
{"openapi":"3.1.1","info":{"title":"Public API","version":"1.0"},"components":{"schemas":{"publictypes.Activity":{"properties":{"contactEmail":{"type":"string"},"data":{"additionalProperties":{},"type":"object"},"description":{"type":"string"},"id":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"}},"type":"object"}}}}
```

## The publictypes.BatchUpsertActivitiesV1Request object

```json
{"openapi":"3.1.1","info":{"title":"Public API","version":"1.0"},"components":{"schemas":{"publictypes.BatchUpsertActivitiesV1Request":{"properties":{"batch":{"items":{"$ref":"#/components/schemas/publictypes.Activity"},"type":"array"}},"type":"object"},"publictypes.Activity":{"properties":{"contactEmail":{"type":"string"},"data":{"additionalProperties":{},"type":"object"},"description":{"type":"string"},"id":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"}},"type":"object"}}}}
```

## The publictypes.BatchUpsertCompaniesV1Request object

```json
{"openapi":"3.1.1","info":{"title":"Public API","version":"1.0"},"components":{"schemas":{"publictypes.BatchUpsertCompaniesV1Request":{"properties":{"batch":{"items":{"$ref":"#/components/schemas/publictypes.Company"},"type":"array"}},"type":"object"},"publictypes.Company":{"properties":{"createdAt":{"type":"string"},"domain":{"type":"string"},"id":{"type":"string"},"syncToCrm":{"type":"boolean"},"variables":{"additionalProperties":{},"type":"object"}},"type":"object"}}}}
```

## The publictypes.BatchUpsertContactsV1Request object

```json
{"openapi":"3.1.1","info":{"title":"Public API","version":"1.0"},"components":{"schemas":{"publictypes.BatchUpsertContactsV1Request":{"properties":{"batch":{"items":{"$ref":"#/components/schemas/publictypes.Contact"},"type":"array"}},"type":"object"},"publictypes.Contact":{"properties":{"companyId":{"type":"string"},"createdAt":{"type":"string"},"email":{"type":"string"},"id":{"type":"string"},"subscriptionStatus":{"type":"string"},"syncToCrm":{"type":"boolean"},"variables":{"additionalProperties":{},"type":"object"}},"type":"object"}}}}
```

## The publictypes.Company object

```json
{"openapi":"3.1.1","info":{"title":"Public API","version":"1.0"},"components":{"schemas":{"publictypes.Company":{"properties":{"createdAt":{"type":"string"},"domain":{"type":"string"},"id":{"type":"string"},"syncToCrm":{"type":"boolean"},"variables":{"additionalProperties":{},"type":"object"}},"type":"object"}}}}
```

## The publictypes.Contact object

```json
{"openapi":"3.1.1","info":{"title":"Public API","version":"1.0"},"components":{"schemas":{"publictypes.Contact":{"properties":{"companyId":{"type":"string"},"createdAt":{"type":"string"},"email":{"type":"string"},"id":{"type":"string"},"subscriptionStatus":{"type":"string"},"syncToCrm":{"type":"boolean"},"variables":{"additionalProperties":{},"type":"object"}},"type":"object"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.conversion.ai/import/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
